Compact session
Queue a durable session compaction request.
POST
/api/session/{sessionID}/compactPath parameters
sessionIDobjectrequiredRequest body
requiredapplication/jsonidobject | anyShow propertiesHide properties
Any of:
object
objectany
anyResponses
200Success
dataSessionInput.CompactionrequiredShow propertiesHide properties
typestringrequiredAllowed:
compactionadmittedSeqobjectrequiredShow propertiesHide properties
objectidobjectrequiredShow propertiesHide properties
objectsessionIDobjectrequiredShow propertiesHide properties
objecttimeCreatednumberrequiredhandledSeqobjectShow propertiesHide properties
object400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequired409ConflictError
_tagstringrequiredAllowed:
ConflictErrormessagestringrequiredresourcestring | anyShow propertiesHide properties
Any of:
string
stringany
anyRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/compact" \
-H "Content-Type: application/json" \
-d '{
"id": {}
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/compact", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": {}
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/compact",
headers={
"Content-Type": "application/json"
},
json={
"id": {}
},
)Response
{
"data": {
"type": "compaction",
"admittedSeq": {},
"id": {},
"sessionID": {},
"timeCreated": 0,
"handledSeq": {}
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}{
"_tag": "ConflictError",
"message": "string",
"resource": "string"
}